Update a field definition for a specific template.
CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PUT");curl_easy_setopt(hnd, CURLOPT_URL, "https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0");
struct curl_slist *headers = NULL;headers = curl_slist_append(headers, "Authorization: Bearer <token>");headers = curl_slist_append(headers, "Content-Type: application/json");curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{ \"uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"field_key\": \"example\", \"field_type\": { \"name\": \"ATTACHMENT\", \"constraints\": [ { \"type\": \"allowed_values\", \"value\": [ \"example\" ] } ] }, \"label\": \"general_information\", \"comment\": \"Additional info about the field\", \"default_value\": true, \"possible_values\": [ true ], \"attributes\": [ { \"type\": \"form_group\", \"value\": \"General\" } ], \"relations\": [ { \"type\": \"actual_field\", \"field_uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ] }");
CURLcode ret = curl_easy_perform(hnd);using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"field_key\": \"example\", \"field_type\": { \"name\": \"ATTACHMENT\", \"constraints\": [ { \"type\": \"allowed_values\", \"value\": [ \"example\" ] } ] }, \"label\": \"general_information\", \"comment\": \"Additional info about the field\", \"default_value\": true, \"possible_values\": [ true ], \"attributes\": [ { \"type\": \"form_group\", \"value\": \"General\" } ], \"relations\": [ { \"type\": \"actual_field\", \"field_uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ] }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload := strings.NewReader("{ \"uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"field_key\": \"example\", \"field_type\": { \"name\": \"ATTACHMENT\", \"constraints\": [ { \"type\": \"allowed_values\", \"value\": [ \"example\" ] } ] }, \"label\": \"general_information\", \"comment\": \"Additional info about the field\", \"default_value\": true, \"possible_values\": [ true ], \"attributes\": [ { \"type\": \"form_group\", \"value\": \"General\" } ], \"relations\": [ { \"type\": \"actual_field\", \"field_uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ] }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0")) .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .method("PUT", HttpRequest.BodyPublishers.ofString("{ \"uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"field_key\": \"example\", \"field_type\": { \"name\": \"ATTACHMENT\", \"constraints\": [ { \"type\": \"allowed_values\", \"value\": [ \"example\" ] } ] }, \"label\": \"general_information\", \"comment\": \"Additional info about the field\", \"default_value\": true, \"possible_values\": [ true ], \"attributes\": [ { \"type\": \"form_group\", \"value\": \"General\" } ], \"relations\": [ { \"type\": \"actual_field\", \"field_uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ] }")) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"field_key\": \"example\", \"field_type\": { \"name\": \"ATTACHMENT\", \"constraints\": [ { \"type\": \"allowed_values\", \"value\": [ \"example\" ] } ] }, \"label\": \"general_information\", \"comment\": \"Additional info about the field\", \"default_value\": true, \"possible_values\": [ true ], \"attributes\": [ { \"type\": \"form_group\", \"value\": \"General\" } ], \"relations\": [ { \"type\": \"actual_field\", \"field_uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ] }");Request request = new Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0") .put(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'PUT', url: 'https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: { uuid: '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', field_key: 'example', field_type: { name: 'ATTACHMENT', constraints: [{type: 'allowed_values', value: ['example']}] }, label: 'general_information', comment: 'Additional info about the field', default_value: true, possible_values: [true], attributes: [{type: 'form_group', value: 'General'}], relations: [{type: 'actual_field', field_uuid: '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'}] }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"uuid":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","field_key":"example","field_type":{"name":"ATTACHMENT","constraints":[{"type":"allowed_values","value":["example"]}]},"label":"general_information","comment":"Additional info about the field","default_value":true,"possible_values":[true],"attributes":[{"type":"form_group","value":"General"}],"relations":[{"type":"actual_field","field_uuid":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")val body = RequestBody.create(mediaType, "{ \"uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"field_key\": \"example\", \"field_type\": { \"name\": \"ATTACHMENT\", \"constraints\": [ { \"type\": \"allowed_values\", \"value\": [ \"example\" ] } ] }, \"label\": \"general_information\", \"comment\": \"Additional info about the field\", \"default_value\": true, \"possible_values\": [ true ], \"attributes\": [ { \"type\": \"form_group\", \"value\": \"General\" } ], \"relations\": [ { \"type\": \"actual_field\", \"field_uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ] }")val request = Request.Builder() .url("https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0") .put(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build()
val response = client.newCall(request).execute()<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PUT", CURLOPT_POSTFIELDS => json_encode([ 'uuid' => '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', 'field_key' => 'example', 'field_type' => [ 'name' => 'ATTACHMENT', 'constraints' => [ [ 'type' => 'allowed_values', 'value' => [ 'example' ] ] ] ], 'label' => 'general_information', 'comment' => 'Additional info about the field', 'default_value' => null, 'possible_values' => [ null ], 'attributes' => [ [ 'type' => 'form_group', 'value' => 'General' ] ], 'relations' => [ [ 'type' => 'actual_field', 'field_uuid' => '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' ] ] ]), CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>", "Content-Type: application/json" ],]);
$response = curl_exec($curl);$err = curl_error($curl);
curl_close($curl);
if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', [ 'body' => '{ "uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "field_key": "example", "field_type": { "name": "ATTACHMENT", "constraints": [ { "type": "allowed_values", "value": [ "example" ] } ] }, "label": "general_information", "comment": "Additional info about the field", "default_value": true, "possible_values": [ true ], "attributes": [ { "type": "form_group", "value": "General" } ], "relations": [ { "type": "actual_field", "field_uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ] }', 'headers' => [ 'Authorization' => 'Bearer <token>', 'Content-Type' => 'application/json', ],]);
echo $response->getBody();import http.client
conn = http.client.HTTPSConnection("your-instance.seventhings.com")
payload = "{ \"uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"field_key\": \"example\", \"field_type\": { \"name\": \"ATTACHMENT\", \"constraints\": [ { \"type\": \"allowed_values\", \"value\": [ \"example\" ] } ] }, \"label\": \"general_information\", \"comment\": \"Additional info about the field\", \"default_value\": true, \"possible_values\": [ true ], \"attributes\": [ { \"type\": \"form_group\", \"value\": \"General\" } ], \"relations\": [ { \"type\": \"actual_field\", \"field_uuid\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" } ] }"
headers = { 'Authorization': "Bearer <token>", 'Content-Type': "application/json"}
conn.request("PUT", "/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", payload, headers)
res = conn.getresponse()data = res.read()
print(data.decode("utf-8"))import requests
url = "https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
payload = { "uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "field_key": "example", "field_type": { "name": "ATTACHMENT", "constraints": [ { "type": "allowed_values", "value": ["example"] } ] }, "label": "general_information", "comment": "Additional info about the field", "default_value": True, "possible_values": [True], "attributes": [ { "type": "form_group", "value": "General" } ], "relations": [ { "type": "actual_field", "field_uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.json())use std::str::FromStr;use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0";
let payload = json!({ "uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "field_key": "example", "field_type": json!({ "name": "ATTACHMENT", "constraints": ( json!({ "type": "allowed_values", "value": ("example") }) ) }), "label": "general_information", "comment": "Additional info about the field", "default_value": true, "possible_values": (true), "attributes": ( json!({ "type": "form_group", "value": "General" }) ), "relations": ( json!({ "type": "actual_field", "field_uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }) ) });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.request(reqwest::Method::from_str("PUT").unwrap(), url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request PUT \ --url https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "field_key": "example", "field_type": { "name": "ATTACHMENT", "constraints": [ { "type": "allowed_values", "value": [ "example" ] } ] }, "label": "general_information", "comment": "Additional info about the field", "default_value": true, "possible_values": [ true ], "attributes": [ { "type": "form_group", "value": "General" } ], "relations": [ { "type": "actual_field", "field_uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ] }'wget --quiet \ --method PUT \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --body-data '{ "uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "field_key": "example", "field_type": { "name": "ATTACHMENT", "constraints": [ { "type": "allowed_values", "value": [ "example" ] } ] }, "label": "general_information", "comment": "Additional info about the field", "default_value": true, "possible_values": [ true ], "attributes": [ { "type": "form_group", "value": "General" } ], "relations": [ { "type": "actual_field", "field_uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ] }' \ --output-document \ - https://your-instance.seventhings.com/customer-api/v1/asset-tracking/asset/field-definition/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Update a field definition for a specific template.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The template type of the asset tracking module
Example
roomThe template to get the field definitions for.
The UUID of the field definition to get.
Request Bodyrequired
Section titled “Request Bodyrequired”A field definition
object
The key of the field
An attachment field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A barcode field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A boolean field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A date field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A date-time field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A decimal number field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A dropdown field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A field value comparison field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A link field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A linked assets field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A linked building field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A linked room field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A linked user field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A linked person field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A long text field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A money field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A number field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A reminder field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
A text field type
object
Array of field value constraints
A field value constraint that allows only certain values
object
Array of allowed values
A field value constraint that allows only a certain date format
object
The date format
A field value constraint that allows only a certain date-time format
object
The date-time format
A field value minimum value constraint
object
The minimum value
A field value max length constraint
object
The max length of the field value
A field value maximum value constraint
object
The maximum value
A field value regular expression constraint
object
The regular expression
The label or translation key of the field
Example
general_informationThe comment of the field
Example
Additional info about the fieldThe possible values of the field
The attributes of the field
The form group of a field
object
Example
{ "type": "form_group", "value": "General"}The editable attribute of a field
object
Example
{ "type": "editable", "value": "web_app"}Whether the field is internal
object
Example
{ "type": "internal", "value": "no"}Whether the field is mandatory
object
Example
{ "type": "mandatory", "value": "no"}Whether the field is mutable
object
Example
{ "type": "mutable", "value": "yes"}Whether the field is a system field
object
Example
{ "type": "system", "value": "no"}Visibility of the field
object
Example
{ "type": "visible", "value": "web_app_details_view"}Preselect the field in the app
object
Example
{ "type": "preselected", "value": "mobile_app"}Whether the field content is indexed
object
Example
{ "type": "indexed", "value": "search"}The formatting of the field value
object
Example
{ "type": "formatted", "value": "user_as_firstname_lastname"}The sort direction of a list field
object
Example
{ "type": "sorted", "value": "ascending"}The ISO 4217 currency code
object
Example
{ "type": "currency_code", "value": "EUR"}The number of fraction digits
object
Example
{ "type": "fraction_digits", "value": 2}Whether the field is a name component
object
Example
{ "type": "name_component", "value": "no"}Whether the field is exposed to a specified location
object
Example
{ "type": "exposed", "value": "mobile_app_api"}Whether the field is generated to a specified location
object
Example
{ "type": "generated", "value": "on_create"}Whether the field is unique to a specified entity
object
Example
{ "type": "unique", "value": "yes"}When a field should be visible on dashboard
object
Example
{ "type": "piechart_on_dashboard", "value": "no"}The relations of the field
The actual field of the relation
object
The uuid of the field
The actual field of the relation
object
The uuid of the field
The actual field of the relation
object
The uuid of the field
The values to compare with
Responses
Section titled “Responses”Success
Request body is missing or invalid or request data is invalid.
Access token is missing or invalid.
You are not permitted to perform the requested operation.
The requested resource representation has no acceptable format.
Internal Server Error.

